package com.ssyf.common.web.apicode;

/**
 * 用户接口编码
 *
 * @author huwei
 * @date 2022/7/5 17:01
 */
public enum ApiCodeUser implements IApiCode {
    /**
     * 用户端错误
     */
    ERROR("A0001", "用户端错误"),
    /**
     * 用户端错误
     */
    PARAMETER_ERROR("A0002", "用户端参数错误"),
    /**
     * 用户未登陆
     */
    NOT_LOGIN("A0003", "用户未登陆"),
    /**
     * 无权访问/操作
     */
    NOT_AUTHORIZED("A0004", "无权访问/操作"),
    /**
     * 频繁请求：请求正在处理中
     */
    REQUEST_PROCESSING("A0005", "频繁请求：请求正在处理中");

    private String code;
    private String message;

    ApiCodeUser(String code, String message) {
        this.code = code;
        this.message = message;

    }

    @Override
    public String getCode() {
        return this.code;

    }

    @Override
    public String getMessage() {
        return this.message;
    }
}
